ResourceTreeNode (Hyperic HQ Plugin API)
Keywords: org.hyperic.image.widget.ResourceTreeNode class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.image.widget
Class ResourceTreeNode

    java.lang.Object
      org.hyperic.image.widget.TreeNode
          org.hyperic.image.widget.ResourceTreeNode

All Implemented Interfaces:
  java.io.Serializable, IResourceTreeNode, ITreeNode

    public class ResourceTreeNode

extends TreeNode
implements IResourceTreeNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.image.widget.TreeNode
`m_downChildren, m_upChildren`

Fields inherited from interface org.hyperic.util.data.IResourceTreeNode
`AUTO_GROUP, CLUSTER, NONE, RESOURCE`

Constructor Summary
`ResourceTreeNode(java.lang.String name, int type)`
`ResourceTreeNode(java.lang.String name, java.lang.String desc)`
`ResourceTreeNode(java.lang.String name, java.lang.String desc, boolean selected)`
`ResourceTreeNode(java.lang.String name, java.lang.String desc, boolean selected, int type)`
`ResourceTreeNode(java.lang.String name, java.lang.String desc, int type)`

Method Summary
`ITreeNode[]` | `getDownChildren()`
`int` | `getType()`
`ITreeNode[]` | `getUpChildren()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.image.widget.TreeNode
`addDownChild, addDownChildren, addRectangle, addUpChild, addUpChildren, clear, getDescription, getDownChildrenCount, getImage, getName, getRectangles, getUpChildrenCount, hasDownChildren, hasUpChildren, isSelected, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.util.data.ITreeNode
`addRectangle, getDescription, getName, getRectangles, hasDownChildren, hasUpChildren, isSelected, reset`

Constructor Detail

### ResourceTreeNode

    public ResourceTreeNode(java.lang.String name,
                            java.lang.String desc)

### ResourceTreeNode

    public ResourceTreeNode(java.lang.String name,
                            int type)

### ResourceTreeNode

    public ResourceTreeNode(java.lang.String name,
                            java.lang.String desc,
                            int type)

### ResourceTreeNode

    public ResourceTreeNode(java.lang.String name,
                            java.lang.String desc,
                            boolean selected)

### ResourceTreeNode

    public ResourceTreeNode(java.lang.String name,
                            java.lang.String desc,
                            boolean selected,
                            int type)

Method Detail

### getUpChildren

    public ITreeNode[] getUpChildren()

  Specified by:
    `getUpChildren` in interface `ITreeNode`
  Overrides:
    `getUpChildren` in class `TreeNode`
  See Also:
    `ITreeNode.getUpChildren()`

### getDownChildren

    public ITreeNode[] getDownChildren()

  Specified by:
    `getDownChildren` in interface `ITreeNode`
  Overrides:
    `getDownChildren` in class `TreeNode`
  See Also:
    `ITreeNode.getDownChildren()`

### getType

    public int getType()

  Specified by:
    `getType` in interface `IResourceTreeNode`
  See Also:
    `org.hyperic.util.data.ITreeNode#getType()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.